org.scalatest

# StackDepth

#### trait StackDepth extends AnyRef

Trait that encapsulates the information required of an exception thrown by ScalaTest's assertions and matchers, which includes a stack depth at which the failing line of test code resides.

This trait exists so that it can be mixed into two exception superclasses, `StackDepthException`, from which extend several exceptions that do not depend on JUnit, and `JUnitTestFailedError`, which does depend on JUnit. The latter, which requires JUnit be in the classpath, ensures failed ScalaTest assertions are reported as "failures," not "errors," by JUnit.

Self Type
  StackDepth with Throwable

Linear Supertypes
AnyRef, Any
Known Subclasses
DuplicateTestNameException, GeneratorDrivenPropertyCheckFailedException, JUnitTestFailedError, NotAllowedException, PropertyCheckFailedException, PropertyTestFailedException, StackDepthException, TableDrivenPropertyCheckFailedException, TestFailedException, TestRegistrationClosedException
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. StackDepth
2. AnyRef
3. Any

Visibility

1. Public
2. All

### Abstract Value Members

1. #### val cause : Option[Throwable]

   An optional cause, the `Throwable` that caused this `StackDepth` exception to be thrown.

   An optional cause, the `Throwable` that caused this `StackDepth` exception to be thrown.

   Attributes
     abstract

2. #### val failedCodeStackDepth : Int

   The depth in the stack trace of this exception at which the line of test code that failed resides.

   The depth in the stack trace of this exception at which the line of test code that failed resides.

   Attributes
     abstract

3. #### val message : Option[String]

   An optional detail message for this `StackDepth` exception.

   An optional detail message for this `StackDepth` exception.

   Attributes
     abstract

4. #### def severedAtStackDepth : Throwable with StackDepth

   Returns an exception of the same class with `failedExceptionStackDepth` set to 0 and all frames above this stack depth severed off.

   Returns an exception of the same class with `failedExceptionStackDepth` set to 0 and all frames above this stack depth severed off. This can be useful when working with tools (such as IDEs) that do not directly support ScalaTest. (Tools that directly support ScalaTest can use the stack depth information delivered in the StackDepth exceptions.)

   Attributes
     abstract

### Concrete Value Members

1. #### def != (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

2. #### def != (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

3. #### def ## (): Int

   Attributes
     final
   Definition Classes
     AnyRef → Any

4. #### def == (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

5. #### def == (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

6. #### def asInstanceOf [T0] : T0

   Attributes
     final
   Definition Classes
     Any

7. #### def clone (): AnyRef

   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws()

8. #### def eq (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

9. #### def equals (arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def failedCodeFileName : Option[String]

    A string that provides the filename of the line of code that failed, suitable for presenting to a user, which is taken from this exception's `StackTraceElement` at the depth specified by `failedCodeStackDepth`.

    A string that provides the filename of the line of code that failed, suitable for presenting to a user, which is taken from this exception's `StackTraceElement` at the depth specified by `failedCodeStackDepth`.

    This is a `def` instead of a `val` because exceptions are mutable: their stack trace can be changed after the exception is created. This is done, for example, by the `SeveredStackTraces` trait.

    returns

      a string containing the filename that caused the failed test

11. #### def failedCodeFileNameAndLineNumberString : Option[String]

    A string that provides the filename and line number of the line of code that failed, suitable for presenting to a user, which is taken from this exception's `StackTraceElement` at the depth specified by `failedCodeStackDepth`.

    A string that provides the filename and line number of the line of code that failed, suitable for presenting to a user, which is taken from this exception's `StackTraceElement` at the depth specified by `failedCodeStackDepth`.

    This is a `def` instead of a `val` because exceptions are mutable: their stack trace can be changed after the exception is created. This is done, for example, by the `SeveredStackTraces` trait.

    returns

      a user-presentable string containing the filename and line number that caused the failed test

12. #### def failedCodeLineNumber : Option[Int]

    A string that provides the line number of the line of code that failed, suitable for presenting to a user, which is taken from this exception's `StackTraceElement` at the depth specified by `failedCodeStackDepth`.

    A string that provides the line number of the line of code that failed, suitable for presenting to a user, which is taken from this exception's `StackTraceElement` at the depth specified by `failedCodeStackDepth`.

    This is a `def` instead of a `val` because exceptions are mutable: their stack trace can be changed after the exception is created. This is done, for example, by the `SeveredStackTraces` trait.

    returns

      a string containing the line number that caused the failed test

13. #### def finalize (): Unit

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

14. #### def getClass (): java.lang.Class[_]

    Attributes
      final
    Definition Classes
      AnyRef

15. #### def hashCode (): Int

    Definition Classes
      AnyRef → Any

16. #### def isInstanceOf [T0] : Boolean

    Attributes
      final
    Definition Classes
      Any

17. #### def ne (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

18. #### def notify (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

19. #### def notifyAll (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

20. #### def synchronized [T0] (arg0: ⇒ T0): T0

    Attributes
      final
    Definition Classes
      AnyRef

21. #### def toString (): String

    Definition Classes
      AnyRef → Any

22. #### def wait (): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

23. #### def wait (arg0: Long, arg1: Int): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

24. #### def wait (arg0: Long): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

### Inherited from AnyRef

### Inherited from Any